Core - Bug # 63780

Bug # 63692 (Accepted): Memory consumption while bulk inserting

Status: Resolved Priority: Should have
Author: Stephan GroBberndt Category: Performance
Created: 2014-12-11 Assigned To: Stephan GroBberndt
Updated: 2014-12-12 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: no-brainer

Is Regression: No

Sprint Focus:

Subject: Do not collect unused words_strings in Referencelndex->generateRefIndexData

Description

In Referencelndex->generateReflIndexData the strings from all input and text fields are collected in $this->word_strings. But the array
is never accessed. Not in TYPOS 7. Neither in TYPOS3 6.2. Neither in TYPO3 4.5. sigh :.-(

Associated revisions

Revision 7240297a - 2014-12-12 12:43 - Stephan GroBberndt

["ITASK] Remove words and words_strings from Referencelndex

In Referencelndex->generateReflIndexData the strings from all input and
text fields were collected in $this->word_strings. But the array was
never accessed. Remove Referencelndex->words (unused) and
Referencelndex->word_strings and the collection of word_strings. This
greatly reduces memory usage when bulk inserting or editing records as
well as updating the reference index.

Resolves: #63780

Releases: master, 6.2

Change-Id: 156d6a3e615cab44cbecff5a7d4dec42alda29fc6
Reviewed-on: http:/review.typo3.0rg/35310

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>

Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Revision 5401e75f - 2014-12-12 15:18 - Stephan GroBberndt
["ITASK] Remove words and words_strings from Referencelndex

In Referencelndex->generateReflndexData the strings from all input and
text fields were collected in $this->word_strings. But the array was
never accessed.

While both properties were removed in master, the 6.2 backport keeps

the properties, but does not fill word_strings anymore, so the patch
is less breaking but the performance improvement is still given.
Resolves: #63780

Releases: master, 6.2

Change-Id: 156d6a3e615cab44cbecff5a7d4dec42alda29fc6
Reviewed-on: http://review.typo3.0rg/35349

Reviewed-by: Stephan GroBberndt <stephan@grossberndt.de>

Tested-by: Stephan GroBberndt <stephan@grossberndt.de>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2014-12-11 16:08 - Stephan GroBberndt

https://www.youtube.com/watch?v=Ily bJelwalc

#2 - 2014-12-11 16:13 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/35310

#3 - 2014-12-11 16:54 - Mathias Schreiber
- Parent task set to #63692

#4 - 2014-12-12 10:18 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/35310

#5 - 2014-12-12 11:27 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/35310

#6 - 2014-12-12 12:26 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/35310

#7 - 2014-12-12 12:32 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/35310

#8 - 2014-12-12 12:50 - Gerrit Code Review
Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35349

#9 - 2014-12-12 13:00 - Stephan GroBberndt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7240297ac1af0ce395f764cc21e1c6782efb69d0.
